<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">优惠券管理</a></div>
		<div class="common_content_title">优惠券管理</div>
		<div class="common_content_btnList clearfix">
			<button id="searchCouponDetail" type="button" class="btn btn-success btn-block">查看</button>
			<button id="xinjianyouhuiquan" type="button" class="btn btn-block">新建</button>
			<button id="editCoupon" type="button" class="btn btn-block">编辑</button>
			<button type="button" class="btn btn-block" onclick="javascript:removeCouponsPre();">删除</button>
			<button id="couponIssue" type="button" class="btn btn-block">发放</button>
			<button id="fafangjiluBtn" type="button" class="btn btn-block">发放记录</button>
			<button id="mingxiBtn" type="button" class="btn btn-block">明细记录</button>
			<button id="cateImport" type="button" class="btn btn-block">导入</button>
			<div class="common_content_scach_box fr clearfix common_content_scach_box_shot">
				<ul class="clearfix">
					<li style="width: 150px;">
						<div>
							<input id="couponName" name="couponName" size="16" type="text" class="form-control" value="" placeholder="输入优惠券名称">
						</div>
					</li>
					<button id="search_coupon_btn" type="button" class="icon seach_btn fl" ></button>
				</ul>
			</div>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="couponTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'couponId',checkbox:true"></th>
						<th data-options="field:'couponTypeName',width:125,align:'center',halign:'center'">优惠券类型</th>
						<th data-options="field:'couponName',width:160,align:'center',halign:'center'">优惠券名称</th>
						<th id="couponSource" data-options="field:'originName',width:100,align:'center'" >来源类型</th>
						<th data-options="field:'thruDate',width:120,align:'center',halign:'center',formatter:useDateformat">有效期</th>
						<th data-options="field:'expireType',width:150,align:'center',halign:'center',hidden:true">expireType</th>
						<th data-options="field:'statusId',width:120,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Coupon_Status.getText(value);}">生成状态</th>
						<th data-options="field:'issueProportion',width:150,align:'center',halign:'center'">发放情况</th>
						<th data-options="field:'issueQuantity',width:150,align:'center',halign:'center',hidden:true">可用数量</th>
						<th data-options="field:'totalQuantity',width:150,align:'center',halign:'center',hidden:true">总数量</th>
						<th data-options="field:'lastPublishTime',width:160,align:'center',halign:'center',formatter:timeDateformat" >上次发放时间</th>
						<th data-options="field:'remark',width:245,align:'center',halign:'center'">备注</th>
					</tr>
				</thead>
			</table>
		</div>
		<div id="fafangjilu" class="mask none">
			<div class="detailed tableDetaile" style="width:400px">
				<div class="contactDetailed_title">发放记录</div>
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_table box_shadow">
					<table id="couponManage_couponIssue_detail" class="easyui-datagrid" style="width:100%;height:450px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
						<thead>
							<tr>
								<!-- <th data-options="field:'ck',checkbox:true"></th> -->
								<th data-options="field:'couponId',width:80,halign:'center',hidden:true">couponId</th>
								<th data-options="field:'issueDate',width:100,halign:'center',formatter:dateDateformat">发放时间</th>
								<th data-options="field:'quantity',width:80,align:'right',halign:'center'">发放数量</th>
								<th data-options="field:'statusId',width:80,align:'right',halign:'center'
								,formatter : function(value, row, index) {return $.Coupon_Issue_Status.getText(value);}">发放状态</th>
								<!-- <th data-options="field:'attr1',width:250,halign:'center'">Attribute</th>
								<th data-options="field:'status',width:60,align:'center',halign:'center'">Status</th> -->
							</tr>
						</thead>
					</table>
				</div>
			</div>
		</div>
		
		<div id="importCateMask" class="mask_in clearfix none">
			<form id="importForm"  method="post" enctype="multipart/form-data">
			<div class="detailed contactDetailed">
				<button type="button" class="icon detailed_close"></button>
				<div class="contactDetailed_title">导入异业券外部券号</div>
		        	<div class="common_content_btnList clearfix">
					<button id="downImportTemp" type="button" class="btn btn-success btn-block">下载模版</button>
				</div>
				<div class="common_content_btnList clearfix">
					<div class="fl" style="position: relative; width: 130px; height: 40px;">
						<button id="userDetailedBoxBtn" type="button" class="btn btn-success">选择文件
						</button>
						<input type="hidden" id="couponId" name="couponId" value="" />
						<input type="file" name="file" id="fileInput"  value="" style="position:absolute; width: 100%; height: 100%;top: 0; left: 0; opacity: 0;" />
					</div>
					<span id="fileSpan" class="file_title">未选择文件...</span>
					<button id="importBtn" type="button" class="btn">上传</button>
				</div>
			</div>
			</form>
		</div>	
		
		<script type="text/javascript">
			$(function() {
				require(['view/coupon/couponManage'], function(re) {
					re.init();
				});

		    
			});
			
			
		</script>
	</body>

</html>